glibmm 2.4: Gio::UnixOutputStream Class Reference

Main Page glibmm Namespaces Book

# Gio::UnixOutputStream Class Reference
[Stream Classes]

UnixOutputStream implements OutputStream for writing to a a unix file descriptor, including asynchronous operations. More...

Inheritance diagram for Gio::UnixOutputStream:

[legend]

List of all members.

## Public Member Functions
virtual | ~UnixOutputStream ()
GUnixOutputStream* | gobj ()
| Provides access to the underlying C GObject.
const GUnixOutputStream* | gobj () const
| Provides access to the underlying C GObject.
GUnixOutputStream* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr <UnixOutputStream> | create (int fd, bool close_fd_at_close)
## Protected Member Functions
| UnixOutputStream (int fd, bool close_fd_at_close)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr <Gio::UnixOutputStream> | wrap (GUnixOutputStream* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

UnixOutputStream implements OutputStream for writing to a a unix file descriptor, including asynchronous operations.

The file descriptor much be selectable, so it doesn't work with opened files.

Since glibmm 2.16:

## Constructor & Destructor Documentation

virtual Gio::UnixOutputStream::~UnixOutputStream | ( |  | ) | `[virtual]`

Gio::UnixOutputStream::UnixOutputStream | ( | int | fd,
|  | bool | close_fd_at_close |
| ) |  |  | `[explicit, protected]`

## Member Function Documentation

GUnixOutputStream* Gio::UnixOutputStream::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::OutputStream.

const GUnixOutputStream* Gio::UnixOutputStream::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::OutputStream.

GUnixOutputStream* Gio::UnixOutputStream::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gio::OutputStream.

static Glib::RefPtr<UnixOutputStream> Gio::UnixOutputStream::create | ( | int | fd,
|  | bool | close_fd_at_close |
| ) |  |  | `[static]`

## Friends And Related Function Documentation

Glib::RefPtr<Gio::UnixOutputStream> wrap | ( | GUnixOutputStream * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- unixoutputstream.h